Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Ping_Push_Consumer Class Reference

`#include <CEC_Reactive_ConsumerControl.h>`

Inheritance diagram for TAO_CEC_Ping_Push_Consumer:

[legend]
Collaboration diagram for TAO_CEC_Ping_Push_Consumer:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Ping_Push_Consumer (TAO_CEC_ConsumerControl *control)
virtual void | work (TAO_CEC_ProxyPushSupplier *supplier ACE_ENV_ARG_DECL)
## Private Attributes
TAO_CEC_ConsumerControl * | control_

## Constructor & Destructor Documentation

ACE_INLINE TAO_CEC_Ping_Push_Consumer::TAO_CEC_Ping_Push_Consumer | ( | TAO_CEC_ConsumerControl * | control | ) |

## Member Function Documentation

void TAO_CEC_Ping_Push_Consumer::work | ( | TAO_CEC_ProxyPushSupplier *supplier | ACE_ENV_ARG_DECL | ) | `[virtual]`

## Member Data Documentation

TAO_CEC_ConsumerControl* TAO_CEC_Ping_Push_Consumer::control_`[private]`

The documentation for this class was generated from the following files:

- CEC_Reactive_ConsumerControl.h
- CEC_Reactive_ConsumerControl.cpp
- CEC_Reactive_ConsumerControl.i